Package com.independentsoft.office.word.mailMerge

# Class OfficeDataSourceObjectSettings

java.lang.Object
com.independentsoft.office.word.mailMerge.OfficeDataSourceObjectSettings

public class OfficeDataSourceObjectSettings extends Object
The Class OfficeDataSourceObjectSettings.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OfficeDataSourceObjectSettings()`
  Instantiates a new office data source object settings.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OfficeDataSourceObjectSettings`
  `clone()`
  `long`
  `getColumnDelimiter()`
  Gets the column delimiter.
  `List<FieldMappingData>`
  `getFieldMappings()`
  Gets the field mappings.
  `ExtendedBoolean`
  `getFirstRowContainsColumnNames()`
  Gets the first row contains column names.
  `List<RecipientData>`
  `getRecipients()`
  Gets the recipients.
  `String`
  `getSource()`
  Gets the source.
  `String`
  `getTableName()`
  Gets the table name.
  `MailMergeSourceType`
  `getType()`
  Gets the type.
  `String`
  `getUniversalDataLinkConnectionString()`
  Gets the universal data link connection string.
  `void`
  `setColumnDelimiter​(long columnDelimiter)`
  Sets the column delimiter.
  `void`
  `setFirstRowContainsColumnNames​(ExtendedBoolean firstRowContainsColumnNames)`
  Sets the first row contains column names.
  `void`
  `setSource​(String source)`
  Sets the source.
  `void`
  `setTableName​(String tableName)`
  Sets the table name.
  `void`
  `setType​(MailMergeSourceType type)`
  Sets the type.
  `void`
  `setUniversalDataLinkConnectionString​(String universalDataLinkConnectionString)`
  Sets the universal data link connection string.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OfficeDataSourceObjectSettings

    public OfficeDataSourceObjectSettings()
    Instantiates a new office data source object settings.

- ## Method Details

  - ### clone

    public OfficeDataSourceObjectSettings clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getColumnDelimiter

    public long getColumnDelimiter()
    Gets the column delimiter.
    Returns:
      the column delimiter

  - ### setColumnDelimiter

    public void setColumnDelimiter​(long columnDelimiter)
    Sets the column delimiter.
    Parameters:
      `columnDelimiter` - the new column delimiter

  - ### getFirstRowContainsColumnNames

    public ExtendedBoolean getFirstRowContainsColumnNames()
    Gets the first row contains column names.
    Returns:
      the first row contains column names

  - ### setFirstRowContainsColumnNames

    public void setFirstRowContainsColumnNames​(ExtendedBoolean firstRowContainsColumnNames)
    Sets the first row contains column names.
    Parameters:
      `firstRowContainsColumnNames` - the new first row contains column names

  - ### getFieldMappings

    public List<FieldMappingData> getFieldMappings()
    Gets the field mappings.
    Returns:
      the field mappings

  - ### getRecipients

    public List<RecipientData> getRecipients()
    Gets the recipients.
    Returns:
      the recipients

  - ### getSource

    public String getSource()
    Gets the source.
    Returns:
      the source

  - ### setSource

    public void setSource​(String source)
    Sets the source.
    Parameters:
      `source` - the new source

  - ### getTableName

    public String getTableName()
    Gets the table name.
    Returns:
      the table name

  - ### setTableName

    public void setTableName​(String tableName)
    Sets the table name.
    Parameters:
      `tableName` - the new table name

  - ### getType

    public MailMergeSourceType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(MailMergeSourceType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getUniversalDataLinkConnectionString

    public String getUniversalDataLinkConnectionString()
    Gets the universal data link connection string.
    Returns:
      the universal data link connection string

  - ### setUniversalDataLinkConnectionString

    public void setUniversalDataLinkConnectionString​(String universalDataLinkConnectionString)
    Sets the universal data link connection string.
    Parameters:
      `universalDataLinkConnectionString` - the new universal data link connection string